package org.ow2.bonita.facade.def.element;

import java.io.Serializable;
import java.util.Collection;


public interface BusinessArchive extends Serializable {

  Resource getXpdlFile();
  Collection<Resource> getClasses();
  Collection<Resource> getJarFiles();
  Resource getResource(String resourcePath);
  Collection<Resource> getResources(String regex);
  
  void addResource(String resourcePath, byte[] resourceData);
  Collection<Resource> getResources();
  
}
